Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.cache.document
Class ImmutableChildReferences

    java.lang.Object
      org.modeshape.jcr.cache.document.ImmutableChildReferences

    public class ImmutableChildReferences

extends Object

Nested Class Summary
`protected static class` | `ImmutableChildReferences.EmptyChildReferences`
`protected static class` | `ImmutableChildReferences.Medium`
`protected static class` | `ImmutableChildReferences.Segment`
`static class` | `ImmutableChildReferences.Segmented`

Field Summary
`protected static ChildReferences` | `EMPTY_CHILD_REFERENCES`
`protected static Iterator<ChildReference>` | `EMPTY_ITERATOR`
`protected static Iterator<NodeKey>` | `EMPTY_KEY_ITERATOR`

Constructor Summary
`ImmutableChildReferences()`

Method Summary
`static ChildReferences` | `create(ChildReferences first, DocumentTranslator.ChildReferencesInfo segmentingInfo, WorkspaceCache cache)`
`static ChildReferences` | `create(List<ChildReference> references)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_CHILD_REFERENCES

    protected static final ChildReferences EMPTY_CHILD_REFERENCES

### EMPTY_ITERATOR

    protected static final Iterator<ChildReference> EMPTY_ITERATOR

### EMPTY_KEY_ITERATOR

    protected static final Iterator<NodeKey> EMPTY_KEY_ITERATOR

Constructor Detail

### ImmutableChildReferences

    public ImmutableChildReferences()

Method Detail

### create

    public static ChildReferences create(List<ChildReference> references)

### create

    public static ChildReferences create(ChildReferences first,
                                         DocumentTranslator.ChildReferencesInfo segmentingInfo,
                                         WorkspaceCache cache)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.